What Are The System Requirements For nCode?

nCode has a very small footprint. As a general guideline, we tell our customers that if a system can run its operating system, it can run our address quality software. Our software runs natively on every major platform and is built from a single common, platform-independent source code base.

Specific elements of the nCode suite of address quality tools have the following minimum system requirements:

Windows

The system requirements for using nCode on Windows are as follows:

  • Microsoft Windows Server 2003 SP2 or Microsoft Windows XP SP3 or later.
  • Microsoft .NET Framework 2.0.
  • 50 MB available hard disk space.
  • VC 9.0 runtime (also known as the Visual C++ 2008 Redistributable).

The nCode Configuration Utility and nCode Server are 32 bit Windows applications. However, they are fully compatible with 64 bit Windows systems running in Windows under Windows 64 (WOW64) mode.

nCode Web Services Edition requires IIS 6 or later and the ability to operate a 32 bit application pool.

Linux and Unix

nCode and nCode Web Services Edition run natively on Linux, Solaris, AIX and HP-UX.

nCode Web Services Edition can be hosted under Tomcat, Oracle WebLogic and IBM WebSphere.

nCode tends not to be version dependent. Contact Nova Marketing Group if you have a question about support for nCode on your particular operating system and application server platform.

The following is the recommended minimum system requirements for the nCode Toolkit on Linux and Unix. Note that if you are using nCode Web Services, your machine must also meet the minimum requirements for your web or application server platform. Those requirements are likely to be higher.

  • Linux Kerner 2.4 or higher, Solaris 10 or later, AIX 5.4 or later.  Contact us for HP-UX and Open VMS.
  • Java 1.5 or better.
  • 1GB of RAM
  • 360MHz 32 bit or 64 bit Processor (Intel x86, Ultra Sparc 2, PowerPC)

For nCode Web Services:

  • Tomcat 4 or later
  • WebSphere 6.1 or later
  • Oracle WebLogic – contact us to confirm support for your release.

Midrange and Mainframe

nCode runs natively on IBM i (AS/400) and z/OS (MVS).

Due to the large number of hardware and operating system variations, specific minimum requirements are difficult to document.  Contact us with your configuration in order to confirm support on midrange and mainframe systems.

Post a Reply